<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Literal.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Literal</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Literal

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Atoms.hh.html" target="detail">../Synopsis/PTree/Atoms.hh</a></div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mLiteral" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line18" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Literal-inheritance" src="Literal-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Literal-inheritance_map" />
<map name="Literal-inheritance_map"><area alt="Scopes/Synopsis/PTree/Atom.html" href="Atom.html" shape="rect" coords="8, 7, 163, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Literal_lconst.Token_A_r">Literal</a>(const&#160;<a href="../Token.html" >Token</a>&amp; <span class="variable">tk</span>)  </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mLiteral_mLiteral_lconst.Token_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line21" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mLiteral_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line22" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="../Token.html#Type" >Token::Type</a> <a class="name" id="type_l_rconst">type</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mLiteral_mtype_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line23" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="../Token.html#Type" >Token::Type</a> <a class="name" id="my_type">my_type</a></div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mLiteral_mmy_type" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Atoms.hh.html#line25" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:43 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
